.modalComponent {
  display: flex;
  justify-content: center;
  align-items: center;

  .modalBody {
    position: relative;

    .closeBtn {
      position: absolute;
      right: 32px;
      top: 28px;

      width: 15px;
      height: 16px;

      &:hover {
        cursor: pointer;
        transform: scale(1.05);
      }
    }
  }
}

.modalContainer.saveReport {
  background: #ffffff;
  border-radius: 4px;

  padding: 20px 40px;
  padding-top: 50px;

  min-width: 497px;
  min-height: 320px;

  animation: slide-up 0.3s ease-in;

  //   transition: all 0.6 ease-in;

  .headerModal {
    font-style: normal;
    font-weight: bold;
    font-size: 22px;
    line-height: 26px;
    text-align: center;

    color: #000000;

    margin-bottom: 40px;
    // margin-top: 20px;
  }

  .formContainer {
    display: flex;
    flex-direction: column;
    align-items: center;

    &.error {
      h1 {
        margin-top: 20px;
      }
    }

    .submitBtn {
      padding: 10px 20px;
      width: 100%;
      h1 {
        font-weight: bold;
        font-size: 16px;
        text-align: center;
        color: #090808;
      }
    }
  }

  .inputForm {
    width: 100%;
  }

  .formlabel {
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 19px;

    color: #000000;

    margin-bottom: 9px;

    .info {
      font-style: normal;
      font-weight: normal;
      font-size: 14px;
      line-height: 17px;
      text-align: center;

      color: #979797;
    }
  }

  .textfeild {
    background: #f3f3f3;
    border-radius: 4px;
    border: none;

    fieldset {
      border-style: none;
    }

    .MuiInputBase-input {
      &:focus {
        & ~ fieldset {
          border-style: solid;
          border-color: #ff6f3c;
        }
      }
    }
  }
}

.MuiDialog-paper {
  header {
    box-shadow: none !important;
  }
  .MuiToolbar-regular {
    display: flex;
    justify-content: space-between;
    > div {
      display: flex;
      align-items: center;
    }
    button.MuiButton-textPrimary {
      background-color: black;
      color: #fff;
      padding: 7px 20px;
      text-transform: capitalize;
      font-weight: bold;
    }
  }
}

@keyframes slide-up {
  0% {
    opacity: 0;
    transform: translateY(-50px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
